{"openapi":"3.0.0","info":{"title":"5G Converter","description":"5G Converter","contact":{"email":"apiteam@swagger.io"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"},"version":"1.0.0-oas3"},"externalDocs":{"description":"Find out more about Swagger","url":"http://swagger.io"},"servers":[{"url":"https://virtserver.swaggerhub.com/alvinmoxa/5G_converter_pub/1.0.0"},{"url":"http://virtserver.swaggerhub.com/alvinmoxa/5G_converter_pub/1.0.0"}],"tags":[{"name":"login","description":"Operations about login","externalDocs":{"description":"Find out more about our store","url":"http://swagger.io"}}],"paths":{"/login":{"post":{"tags":["authentication"],"summary":"Login","description":"Logs user into the system","operationId":"login","requestBody":{"description":"auth elements","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Login"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token_Response"}}}},"401":{"description":"Invalid username/password supplied"}}}},"/reboot":{"post":{"tags":["reset"],"summary":"Reboot","description":"Reboot the  system","operationId":"reboot","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Reboot_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/factory_default":{"post":{"tags":["reset"],"summary":"Factory_default","description":"Factory_default the system","operationId":"FactoryDefault","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Factory_Default_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/gps":{"get":{"tags":["gps"],"summary":"Get Gps information","description":"Get Gps information","operationId":"getGpsinfo","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/gps_info_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/mtu_size":{"get":{"tags":["mtu"],"summary":"Get mtu setting","description":"Get mtu setting","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/mtu_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["mtu"],"summary":"Set mtu setting","description":"mtu Time setting","requestBody":{"description":"Time config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/mtu_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/time":{"get":{"tags":["system"],"summary":"Get Time setting","description":"Get Time setting","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/time_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["system"],"summary":"Set Time setting","description":"Set Time setting","requestBody":{"description":"Time config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/time_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/keepalive":{"get":{"tags":["cellular"],"summary":"Get Keepalive Status","description":"Get Keepalive Status","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/keepalive_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["cellular"],"summary":"set Keepalive Status","description":"set Keepalive Status","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/keepalive_set_config"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/keepalive/profiles/":{"get":{"tags":["cellular"],"summary":"get profile of Keepalive","description":"get profile of Keepalive","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/keepalive_get_profiles"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"post":{"tags":["cellular"],"summary":"add profile of Keepalive","description":"add profile of Keepalive","requestBody":{"$ref":"#/components/requestBodies/keepalive_post_put_profiles_item"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/keepalive/profiles/{idx}":{"get":{"tags":["cellular"],"summary":"Get Keepalive Status","description":"Get Keepalive Status","parameters":[{"name":"idx","in":"path","description":"ID of profile that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/keepalive_get_profiles_item"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["cellular"],"summary":"set Keepalive Status","description":"set Keepalive Status","parameters":[{"name":"idx","in":"path","description":"ID of profile that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"$ref":"#/components/requestBodies/keepalive_post_put_profiles_item"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"delete":{"tags":["cellular"],"summary":"Get Keepalive Status","description":"Get Keepalive Status","parameters":[{"name":"idx","in":"path","description":"ID of profile that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/config_delete_success"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/keepalive/profiles/{idx}/wwan_configs/":{"get":{"tags":["cellular"],"summary":"get profile wwan of Keepalive","description":"get profile wwan of Keepalive","parameters":[{"name":"idx","in":"path","description":"ID of profile that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/keepalive_get_wwan"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"post":{"tags":["cellular"],"summary":"add profile of Keepalive","description":"add profile of Keepalive","parameters":[{"name":"idx","in":"path","description":"ID of profile that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"$ref":"#/components/requestBodies/keepalive_post_put_wwan_item"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/keepalive/profiles/{idx}/wwan_configs/{idx_2}":{"get":{"tags":["cellular"],"summary":"Get Keepalive profile wwan config","description":"Get Keepalive profile wwan config","parameters":[{"name":"idx","in":"path","description":"ID of profile that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}},{"name":"idx_2","in":"path","description":"ID of wwan config that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/keepalive_get_wwan_item"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["cellular"],"summary":"set Keepalive Status","description":"set Keepalive Status","parameters":[{"name":"idx","in":"path","description":"ID of profile that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}},{"name":"idx_2","in":"path","description":"ID of wwan config that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"$ref":"#/components/requestBodies/keepalive_post_put_wwan_item"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"delete":{"tags":["cellular"],"summary":"delete Keepalive profile wwan config","description":"delete Keepalive profile wwan config","parameters":[{"name":"idx","in":"path","description":"ID of profile that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}},{"name":"idx_2","in":"path","description":"ID of wwan config that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/config_delete_success"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/modem":{"get":{"tags":["cellular"],"summary":"Get Modem setting","description":"Get Modem setting","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/modem_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["cellular"],"summary":"Set Modem setting","description":"Set Modem setting","requestBody":{"description":"ConfigBackup config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/modem_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/modem_adv":{"get":{"tags":["cellular"],"summary":"Get Modem advance setting","description":"Get Modem advance setting","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/modem_adv_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["cellular"],"summary":"Set Modem advance setting","description":"Set Modem advance setting","requestBody":{"description":"ConfigBackup config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/modem_adv_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/sim":{"get":{"tags":["sim"],"summary":"Get Sim Config","description":"Get Sim Config","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sim_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["sim"],"summary":"set Sim Config","description":"set Sim Config","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sim_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/sim_status":{"get":{"tags":["sim"],"summary":"Get Sim Status","description":"Get Sim Status","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sim_get_status"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/lan_status":{"get":{"tags":["lan"],"summary":"Get Lan Status","description":"Get Lan Status","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/lan_get_status"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/acl":{"get":{"tags":["acl"],"summary":"Get acl setting","description":"Get acl setting","operationId":"getacl","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/acl_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["acl"],"summary":"Set acl setting","description":"Set acl setting","operationId":"setacl","requestBody":{"description":"acl config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/acl_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/acl/acl_list/":{"post":{"tags":["acl"],"summary":"add item of vxlan","description":"add item of vxlan","requestBody":{"$ref":"#/components/requestBodies/acl_post_put_item"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/acl/acl_list/{idx}":{"get":{"tags":["acl"],"summary":"Get Keepalive Status","description":"Get Keepalive Status","parameters":[{"name":"idx","in":"path","description":"ID of profile that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/acl_get_item"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["acl"],"summary":"set Keepalive Status","description":"set Keepalive Status","parameters":[{"name":"idx","in":"path","description":"ID of profile that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"$ref":"#/components/requestBodies/acl_post_put_item"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"delete":{"tags":["acl"],"summary":"delete vxlan item","description":"delete vxlan item","parameters":[{"name":"idx","in":"path","description":"ID of profile that needs to be deleted","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/config_delete_success"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/modem_status":{"get":{"tags":["cellular"],"summary":"Get Modem Status","description":"Get Modem Status","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/modem_get_status"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/wwan_status":{"get":{"tags":["cellular"],"summary":"Get wwan Status","description":"Get wwan Status","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/wwan_get_status"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/pin":{"post":{"tags":["pin"],"summary":"Set Pin setting","description":"Set Pin setting","requestBody":{"description":"ConfigBackup config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pin_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/pin_enable":{"post":{"tags":["pin"],"summary":"pin enable","description":"pin enable","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/pin_enable"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/pin_change":{"post":{"tags":["pin"],"summary":"pin change","description":"pin change","requestBody":{"description":"pin elements","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pin_change"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/pin_unblock":{"post":{"tags":["pin"],"summary":"pin unblock","description":"pin unblock","requestBody":{"description":"pin elements","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pin_unblock"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/system_information":{"get":{"tags":["system"],"summary":"Get System information","description":"Get System information","operationId":"getsysinfo","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/system_info_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/model_name":{"get":{"tags":["system"],"summary":"Get System model_name","description":"Get System model_name","operationId":"getModelName","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model_name_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/lan":{"get":{"tags":["network"],"summary":"Get Lan setting","description":"Get Lan setting","operationId":"getlan","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/lan_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["network"],"summary":"Set Lan setting","description":"Set Lan setting","operationId":"setlan","requestBody":{"description":"Lan config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/lan_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/service_port":{"get":{"tags":["service_port"],"summary":"Get Port setting","description":"Get Port setting","operationId":"getServicePort","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/service_port_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["service_port"],"summary":"Set Port setting","description":"Set Port setting","operationId":"setServicePort","requestBody":{"description":"Lan config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/service_port_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/lwm2m":{"get":{"tags":["lwm2m"],"summary":"Get lwm2m setting","description":"Get lwm2m setting","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/lwm2m_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["lwm2m"],"summary":"Set lwm2m setting","description":"Set lwm2m setting","requestBody":{"description":"lwm2m config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/lwm2m_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/diagpartner":{"get":{"tags":["diagpartner"],"summary":"Get diagpartner setting","description":"Get diagpartner setting","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/diagpartner_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["diagpartner"],"summary":"Set diagpartner setting","description":"Set diagpartner setting","requestBody":{"description":"diagpartner config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/diagpartner_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/vxlan":{"get":{"tags":["vxlan"],"summary":"Get vxlan setting","description":"Get vxlan setting","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/vxlan_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["vxlan"],"summary":"Set vxlan setting","description":"Set vxlan setting","requestBody":{"description":"Lan config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/vxlan_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/vxlan/inteface_table/":{"post":{"tags":["vxlan"],"summary":"add item of vxlan","description":"add item of vxlan","requestBody":{"$ref":"#/components/requestBodies/vxlan_post_put_profiles_item"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/vxlan/inteface_table/{idx}":{"get":{"tags":["vxlan"],"summary":"Get Keepalive Status","description":"Get Keepalive Status","parameters":[{"name":"idx","in":"path","description":"ID of profile that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/vxlan_get_profiles_item"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["vxlan"],"summary":"set Keepalive Status","description":"set Keepalive Status","parameters":[{"name":"idx","in":"path","description":"ID of profile that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"$ref":"#/components/requestBodies/vxlan_post_put_profiles_item"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"delete":{"tags":["vxlan"],"summary":"delete vxlan item","description":"delete vxlan item","parameters":[{"name":"idx","in":"path","description":"ID of profile that needs to be deleted","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/config_delete_success"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/mbusd":{"get":{"tags":["modbus"],"summary":"Get modbus setting","description":"Get modbus setting","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/mbusd_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["modbus"],"summary":"Set modbus setting","description":"Set modbus setting","requestBody":{"description":"Lan config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/mbusd_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/save_backup_config":{"get":{"tags":["reset"],"summary":"Get backup config status","description":"Get backup config status","operationId":"getSave_backup_config","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/save_config_backup_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"post":{"tags":["reset"],"summary":"save backup config","description":"save backup config","operationId":"postSave_backup_config","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Save_Backup_Config_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/config_backup":{"get":{"tags":["reset"],"summary":"Get ConfigBackup setting","description":"Get ConfigBackup setting","operationId":"getConfigBackup","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/diagnosis_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["reset"],"summary":"Set ConfigBackup setting","description":"Set ConfigBackup setting","operationId":"setConfigBackup","requestBody":{"description":"ConfigBackup config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/config_backup_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/diag_mode":{"get":{"tags":["diagnosis"],"summary":"Get Diagnosis setting","description":"Get Diagnosis setting","operationId":"getDiagnosis","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/config_backup_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["diagnosis"],"summary":"Set Diagnosis setting","description":"Set Diagnosis setting","operationId":"setDiagnosis","requestBody":{"description":"ConfigBackup config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/diagnosis_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/nat":{"get":{"tags":["port_forward_and_nat"],"summary":"Get Nat setting","description":"Get Nat setting","operationId":"getNat","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/nat_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["port_forward_and_nat"],"summary":"Set Nat setting","description":"Set Nat setting","operationId":"setNat","requestBody":{"description":"Lan config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/nat_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/port_forward":{"get":{"tags":["port_forward_and_nat"],"summary":"Get port_forward setting","description":"Get port_forward setting","operationId":"getport_forward","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/port_forwarding_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["port_forward_and_nat"],"summary":"Set port_forward setting","description":"Set port_forward setting","operationId":"setport_forward","requestBody":{"description":"port_forward config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/port_forwarding_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/port_forward/port_forwarding_table/":{"post":{"tags":["port_forward_and_nat"],"summary":"Add port_forward Item","description":"Add port_forward Item","operationId":"addport_forward Item","requestBody":{"$ref":"#/components/requestBodies/port_forward_set_rule"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/port_forward/port_forwarding_table/{idx}":{"get":{"tags":["port_forward_and_nat"],"summary":"Get port_forward Item","description":"Get port_forward Item","operationId":"getport_forwardItem","parameters":[{"name":"idx","in":"path","description":"ID of port_forward rule that needs to be retrieved","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/port_forward_get_rule"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["port_forward_and_nat"],"summary":"Set port_forward Item","description":"Set port_forward Item","operationId":"setport_forwardItem","parameters":[{"name":"idx","in":"path","description":"ID of port_forward rule that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"$ref":"#/components/requestBodies/port_forward_set_rule"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"delete":{"tags":["port_forward_and_nat"],"summary":"Delete port_forward Item","description":"Delete port_forward Item","operationId":"deleteport_forwardItem","parameters":[{"name":"idx","in":"path","description":"ID of port_forward rule that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/config_delete_success"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/ip_passthrough":{"get":{"tags":["port_forward_and_nat"],"summary":"Get IP passthrough setting","description":"Get IP passthrough setting","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ip_passthrough_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["port_forward_and_nat"],"summary":"Set IP passthrough setting","description":"Set IP passthrough setting","requestBody":{"description":"IP passthrough config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ip_passthrough_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/firewall":{"get":{"tags":["firewall"],"summary":"Get Firewall setting","description":"Get Firewall setting","operationId":"getFirewall","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/firewall_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["firewall"],"summary":"Set Firewall setting","description":"Set Firewall setting","operationId":"setFirewall","requestBody":{"description":"Firewall config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/firewall_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/firewall/ipv4/":{"post":{"tags":["firewall"],"summary":"Add Firewall Ipv4 setting","description":"Add Firewall Ipv4 setting","operationId":"addFirewallIpv4Item","requestBody":{"$ref":"#/components/requestBodies/firewall_set_ipv4_rule"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/firewall/ipv4/{idx}":{"get":{"tags":["firewall"],"summary":"Get Firewall setting","description":"Get Firewall setting","operationId":"getFirewallIpv4Item","parameters":[{"name":"idx","in":"path","description":"ID of firewall rule that needs to be retrieved","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/firewall_get_ipv4_rule"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["firewall"],"summary":"Set Firewall Ipv4 setting","description":"Set Firewall Ipv4 setting","operationId":"setFirewallIpv4Item","parameters":[{"name":"idx","in":"path","description":"ID of firewall rule that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"$ref":"#/components/requestBodies/firewall_set_ipv4_rule"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"delete":{"tags":["firewall"],"summary":"Delete Firewall setting","description":"Delete Firewall setting","operationId":"deleteFirewallIpv4Item","parameters":[{"name":"idx","in":"path","description":"ID of firewall rule that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/config_delete_success"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/firewall/ipv6/":{"post":{"tags":["firewall"],"summary":"Add Firewall Ipv6 setting","description":"Add Firewall Ipv6 setting","operationId":"addFirewallIpv6Item","requestBody":{"$ref":"#/components/requestBodies/firewall_set_ipv6_rule"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/firewall/ipv6/{idx}":{"get":{"tags":["firewall"],"summary":"Get Firewall setting","description":"Get Firewall setting","operationId":"getFirewallIpv6Item","parameters":[{"name":"idx","in":"path","description":"ID of firewall rule that needs to be retrieved","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/firewall_get_ipv6_rule"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["firewall"],"summary":"Set Firewall Ipv6 setting","description":"Set Firewall Ipv6 setting","operationId":"setFirewallIpv6Item","parameters":[{"name":"idx","in":"path","description":"ID of firewall rule that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"$ref":"#/components/requestBodies/firewall_set_ipv6_rule"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"delete":{"tags":["firewall"],"summary":"Delete Firewall setting","description":"Delete Firewall setting","operationId":"deleteFirewallIpv6Item","parameters":[{"name":"idx","in":"path","description":"ID of firewall rule that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/config_delete_success"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/account":{"get":{"tags":["authentication"],"summary":"Get account setting","description":"Get account setting","operationId":"getAccount","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/account_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["authentication"],"summary":"Set account setting","description":"Set account setting","operationId":"setAccount","requestBody":{"description":"Account config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/account_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/session":{"get":{"tags":["authentication"],"summary":"Get session setting","description":"Get session setting","operationId":"getSession","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/session_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["authentication"],"summary":"Set session setting","description":"Set session setting","operationId":"setSession","requestBody":{"description":"Session config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/session_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/firmware_upgrade":{"post":{"tags":["firmware"],"summary":"uploads a firmware.zip","operationId":"uploadFirmware","requestBody":{"$ref":"#/components/requestBodies/uploadFirmware"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/firmware_upgrade_post"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/full_firmware_upgrade":{"post":{"tags":["firmware"],"summary":"uploads a firmware.zip","operationId":"uploadFullFirmware","requestBody":{"$ref":"#/components/requestBodies/uploadFirmware"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/firmware_upgrade_post"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/log_export":{"get":{"tags":["log"],"summary":"Returns the log file","responses":{"200":{"description":"OK","content":{"application/gzip":{"schema":{"format":"binary"}}}},"400":{"description":"Invalid Request","content":{"application/gzip":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/gzip":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/gzip":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/clear_log":{"post":{"tags":["log"],"description":"clear log files","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/clear_log_post"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/web_ssl_apply":{"post":{"tags":["web_ssl"],"description":"apply the web ssl files","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/web_ssl_apply_post"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/web_ssl_key":{"post":{"tags":["web_ssl"],"summary":"uploads a web_ssl_key","requestBody":{"$ref":"#/components/requestBodies/uploadWebSSL"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/web_ssl_key_import_post"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/web_ssl_cert":{"get":{"tags":["web_ssl"],"summary":"Returns the web_ssl_cert file","responses":{"200":{"description":"OK","content":{"application/octet-stream":{"schema":{"format":"binary"}}}},"400":{"description":"Invalid Request","content":{"application/gzip":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/gzip":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/gzip":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"post":{"tags":["web_ssl"],"summary":"uploads a web_ssl_cert","requestBody":{"$ref":"#/components/requestBodies/uploadWebSSL"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/web_ssl_cert_import_post"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/configuration":{"get":{"tags":["config"],"summary":"Returns the requested config ZIP file","responses":{"200":{"description":"OK","content":{"application/gzip":{"schema":{"format":"binary"}}}},"400":{"description":"Invalid Request","content":{"application/gzip":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/gzip":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/gzip":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"post":{"tags":["config"],"summary":"uploads a config.gzip","operationId":"uploadConfig","requestBody":{"$ref":"#/components/requestBodies/uploadFirmware"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/config_import_post"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/l2tp":{"get":{"tags":["l2tp"],"summary":"Get L2tp setting","description":"Get L2tp setting","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/l2tp_get_config"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["l2tp"],"summary":"Set L2tp setting","description":"Set L2tp setting","requestBody":{"description":"L2tp config object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/l2tp_set_config"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/l2tp/tunnel_table/":{"post":{"tags":["l2tp"],"summary":"add item of l2tp","description":"add item of l2tp","requestBody":{"$ref":"#/components/requestBodies/l2tp_post_put_tunnel_item"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}},"/l2tp/tunnel_table/{idx}":{"get":{"tags":["l2tp"],"summary":"Get l2tp tunnel item","description":"Get l2tp tunnel item","parameters":[{"name":"idx","in":"path","description":"ID of tunnel that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/l2tp_get_tunnel_item"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"put":{"tags":["l2tp"],"summary":"set Keepalive Status","description":"set Keepalive Status","parameters":[{"name":"idx","in":"path","description":"ID of tunnel that needs to be updated","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"$ref":"#/components/requestBodies/l2tp_post_put_tunnel_item"},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patch_Success_Response"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}},"delete":{"tags":["l2tp"],"summary":"delete l2tp item","description":"delete l2tp item","parameters":[{"name":"idx","in":"path","description":"ID of tunnel that needs to be deleted","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/config_delete_success"}}}},"400":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"401":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}},"500":{"description":"Invalid Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fail_Response"}}}}}}}},"components":{"schemas":{"Login":{"type":"object","properties":{"username":{"type":"string"},"password":{"type":"string"}}},"pin_set_config":{"type":"object","properties":{"pin1_code":{"type":"string"}}},"pin_enable":{"type":"object","properties":{"pin1_code":{"type":"string"},"enable":{"type":"boolean"}}},"pin_change":{"type":"object","properties":{"pin1_code":{"type":"string"},"new_pin1_code":{"type":"string"}}},"pin_unblock":{"type":"object","properties":{"pin1_code":{"type":"string"},"puk_code":{"type":"string"}}},"Token_Response":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Token_Response_data"}}},"Patch_Success_Response":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Patch_Success_Response_data"}}},"Reboot_Success_Response":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Reboot_Success_Response_data"}}},"Factory_Default_Success_Response":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Factory_Default_Success_Response_data"}}},"Save_Backup_Config_Success_Response":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Save_Backup_Config_Success_Response_data"}}},"Fail_Response":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Fail_Response_data"}}},"config_backup_set_config":{"type":"object","properties":{"enable_config_backup":{"type":"boolean"}}},"config_backup_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/config_backup_get_config_data"}}},"time_set_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/time_set_config_data"}}},"mtu_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/mtu_get_config_data"}}},"mtu_set_config":{"properties":{"uplink":{"maximum":1568,"minimum":1200,"type":"integer","example":55},"downlink":{"maximum":1568,"minimum":1200,"type":"integer","example":55}}},"time_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/time_set_config_data"}}},"modem_adv_set_config":{"type":"object","properties":{"rat_setting":{"type":"string","enum":["lte_only","nsa_nr5g","sa_nr5g"]},"band_setting":{"$ref":"#/components/schemas/modem_adv_set_config_band_setting"}}},"modem_adv_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/modem_adv_get_config_data"}}},"ip_passthrough_set_config":{"type":"object","properties":{"enable":{"type":"boolean"},"mac_addr":{"pattern":"^([0-9A-Fa-f]{2}[:]){5}([0-9A-Fa-f]{2})$","type":"string"}}},"ip_passthrough_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/ip_passthrough_get_config_data"}}},"diagnosis_set_config":{"type":"object","properties":{"enable_diagnosis":{"type":"boolean"}}},"diagnosis_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/diagnosis_get_config_data"}}},"save_config_backup_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/save_config_backup_get_config_data"}}},"gps_info_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/gps_info_get_config_data"}}},"lwm2m_get_config":{"type":"object","properties":{"enable":{"type":"boolean"},"lwm2m_client_name":{"maximum":256,"minimum":0,"type":"string"},"server_type":{"type":"string","enum":["bootstrap","lwm2m"]},"server_settings":{"$ref":"#/components/schemas/lwm2m_get_config_server_settings"}}},"lwm2m_set_config":{"type":"object","properties":{"enable":{"type":"boolean"},"lwm2m_client_name":{"maximum":256,"minimum":0,"type":"string"},"server_type":{"type":"string","enum":["bootstrap","lwm2m"]},"server_settings":{"$ref":"#/components/schemas/lwm2m_get_config_server_settings"}}},"modem_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/modem_get_config_data"}}},"modem_set_config":{"type":"object","properties":{"operation_mode":{"type":"string","enum":["online","lpm_radio","user_lpm","user_online","lpm_sim"]}}},"modem_get_status":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/modem_get_status_data"}}},"sim_get_status":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/sim_get_status_data"}}},"sim_set_config":{"type":"object","properties":{"pref_slot":{"maximum":2,"minimum":1,"type":"integer"}}},"sim_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/sim_get_config_data"}}},"lan_get_status":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/lan_get_status_data"}}},"keepalive_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/keepalive_get_config_data"}}},"keepalive_set_config":{"type":"object","properties":{"common":{"$ref":"#/components/schemas/keepalive_get_config_data_common"},"detection":{"$ref":"#/components/schemas/keepalive_get_config_data_detection"},"recovery":{"$ref":"#/components/schemas/keepalive_get_config_data_recovery"},"profiles":{"maxItems":20,"minItems":0,"type":"array","items":{"$ref":"#/components/schemas/keepalive_get_config_data_profiles"}},"oneshot_id":{"maximum":20,"minimum":0,"type":"integer"}}},"keepalive_post_put_profiles_item":{"maxItems":20,"minItems":0,"type":"object","properties":{"profile_name":{"maximum":256,"minimum":0,"type":"string","example":"internet"},"sim_slot":{"maximum":3,"minimum":1,"type":"integer"},"sim_pin":{"pattern":"^$|^[0-9]{4}$","type":"string"},"wwan_configs":{"type":"array","items":{"$ref":"#/components/schemas/keepalive_get_config_data_wwan_configs"}}}},"keepalive_get_profiles":{"properties":{"data":{"maxItems":20,"minItems":0,"type":"array","items":{"$ref":"#/components/schemas/keepalive_get_config_data_profiles"}}}},"keepalive_get_profiles_item":{"properties":{"data":{"$ref":"#/components/schemas/keepalive_get_config_data_profiles"}}},"keepalive_post_put_wwan_item":{"type":"object","properties":{"apn_dnn":{"maximum":150,"minimum":0,"type":"string","example":"internet"},"username":{"maximum":127,"minimum":0,"type":"string","example":"internet"},"password":{"maximum":127,"minimum":0,"type":"string","example":"internet"},"auth_type":{"type":"string","enum":["none","pap","chap","pap_chap"]},"ip_type":{"type":"string","enum":["ipv4","ipv6","ipv4v6"]}}},"keepalive_get_wwan":{"properties":{"data":{"maxItems":20,"minItems":0,"type":"array","items":{"$ref":"#/components/schemas/keepalive_get_wwan_data"}}}},"keepalive_get_wwan_item":{"properties":{"data":{"$ref":"#/components/schemas/keepalive_get_config_data_wwan_configs"}}},"wwan_get_status":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/wwan_get_status_data"}}},"system_info_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/system_info_get_config_data"}}},"model_name_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/model_name_get_config_data"}}},"mbusd_set_config":{"type":"object","properties":{"enable":{"type":"boolean"},"ip":{"type":"string","format":"ipv4"},"interface":{"type":"string","enum":["RS232","RS422","RS485"]},"tcp_port":{"maximum":65535,"minimum":1,"type":"integer"},"max_conn":{"maximum":32,"minimum":1,"type":"integer"},"retries":{"maximum":15,"minimum":0,"type":"integer"},"timeout":{"maximum":1000,"minimum":0,"type":"integer"},"serial_baud":{"type":"integer","enum":[50,75,110,134,150,200,300,600,1200,1800,2400,4800,9600,19200,28800,38400,57600,76800,115200,230400,460800,576000,921600]},"data_bits":{"type":"integer","enum":[8]},"parity":{"type":"string","enum":["None","Odd","Even"]},"stop_bit":{"type":"integer","enum":[1,2]}}},"diagpartner_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/diagpartner_get_config_data"}}},"diagpartner_set_config":{"type":"object","properties":{"enable":{"type":"boolean"},"diagpartner_server_address":{"type":"string","format":"ipv4"},"diagpartner_service_port":{"maximum":65535,"minimum":1,"type":"integer"}}},"mbusd_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/mbusd_get_config_data"}}},"vxlan_set_config":{"type":"object","properties":{"enable":{"type":"boolean"},"interface_table":{"type":"array","items":{"$ref":"#/components/schemas/vxlan_set_config_interface_table"}}}},"vxlan_get_config":{"type":"object","properties":{"enable":{"type":"boolean"},"interface_table":{"type":"array","items":{"$ref":"#/components/schemas/vxlan_set_config_interface_table"}}}},"vxlan_post_put_profiles_item":{"type":"object","properties":{"remote_ip":{"type":"string","format":"ipv4"},"multicast_mode":{"type":"boolean","enum":[false]},"dst_port":{"maximum":65535,"minimum":1,"type":"integer"},"vxlan_network_id":{"maximum":16777215,"minimum":0,"type":"integer"},"interface_name":{"type":"string","enum":[""]}}},"vxlan_get_profiles_item":{"properties":{"data":{"$ref":"#/components/schemas/vxlan_set_config_interface_table"}}},"lan_set_config":{"type":"object","properties":{"lan_gw_addrs":{"pattern":"^(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9])\\.(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9]|0)\\.(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9]|0)\\.(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[0-9])$","type":"string"},"lan_sub":{"pattern":"^(?:(?:254|252|248|240|224|192|128)\\.0\\.0\\.0|255\\.(?:254|252|248|240|224|192|128|0)\\.0\\.0|255\\.255\\.(?:254|252|248|240|224|192|128|0)\\.0|255\\.255\\.255\\.(?:254|252|248|240|224|192|128|0))$","type":"string"},"lan_dhcp":{"type":"boolean"},"lan_dhcp_start":{"pattern":"^(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9])\\.(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9]|0)\\.(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9]|0)\\.(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[0-9])$","type":"string"},"lan_dhcp_end":{"pattern":"^(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9])\\.(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9]|0)\\.(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9]|0)\\.(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[0-9])$","type":"string"},"lan_dhcp_lease":{"maximum":4294967294,"minimum":120,"type":"integer"},"port_isolation":{"type":"boolean"}}},"lan_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/lan_get_config_data"}}},"service_port_set_config":{"type":"object","properties":{"https_port":{"maximum":65535,"minimum":1,"type":"integer"},"ssh_port":{"maximum":65535,"minimum":1,"type":"integer"}}},"service_port_get_config":{"type":"object","properties":{"https_port":{"maximum":65535,"minimum":1,"type":"integer"},"ssh_port":{"maximum":65535,"minimum":1,"type":"integer"}}},"nat_set_config":{"type":"object","properties":{"nattype":{"maximum":3,"minimum":0,"type":"integer"},"dmzip":{"type":"string","format":"ipv4"},"ipsec":{"type":"boolean"},"pptp":{"type":"boolean"},"l2tp":{"type":"boolean"},"wann_access":{"type":"boolean"}}},"nat_get_config":{"type":"object","properties":{"nattype":{"maximum":3,"minimum":0,"type":"integer","example":2},"dmzip":{"type":"string","format":"ipv4","example":"2.2.2.2"},"ipsec":{"type":"boolean","example":true},"pptp":{"type":"boolean","example":false},"l2tp":{"type":"boolean","example":true},"wann_access":{"type":"boolean","example":true}}},"port_forwarding_set_config":{"type":"object","properties":{"enable":{"type":"boolean","example":true},"port_forwarding_table":{"maxItems":50,"minItems":0,"type":"array","items":{"type":"object","oneOf":[{"properties":{"private_ip":{"type":"string","format":"ipv4","example":"192.168.222.22"},"private_port":{"maximum":65535,"minimum":1,"type":"integer","example":600},"global_port":{"type":"string","format":"ipv4","example":"192.168.111.22"},"proto":{"type":"integer","example":2,"enum":[2,3,6]}}},{"properties":{"private_ip":{"type":"string","format":"ipv4","example":"192.168.222.22"},"private_port":{"maximum":0,"minimum":0,"type":"integer","example":0},"global_port":{"type":"string","format":"ipv4","example":"192.168.111.22"},"proto":{"type":"integer","example":1,"enum":[1]}}}]}}}},"port_forwarding_get_config":{"type":"object","properties":{"enable":{"type":"boolean","example":true},"port_forwarding_table":{"maxItems":50,"minItems":0,"type":"array","items":{"type":"object","oneOf":[{"properties":{"private_ip":{"type":"string","format":"ipv4","example":"192.168.222.22"},"private_port":{"maximum":65535,"minimum":1,"type":"integer","example":600},"global_port":{"type":"string","format":"ipv4","example":"192.168.111.22"},"proto":{"type":"integer","example":2,"enum":[2,3,6]}}},{"properties":{"private_ip":{"type":"string","format":"ipv4","example":"192.168.222.22"},"private_port":{"maximum":0,"minimum":0,"type":"integer","example":0},"global_port":{"type":"string","format":"ipv4","example":"192.168.111.22"},"proto":{"type":"integer","example":1,"enum":[1]}}}]}}}},"port_forward_set_rule":{"type":"object","oneOf":[{"properties":{"private_ip":{"type":"string","format":"ipv4","example":"192.168.222.22"},"private_port":{"maximum":65535,"minimum":1,"type":"integer","example":600},"global_port":{"type":"string","format":"ipv4","example":"192.168.111.22"},"proto":{"type":"integer","example":2,"enum":[2,3,6]}}},{"properties":{"private_ip":{"type":"string","format":"ipv4","example":"192.168.222.22"},"private_port":{"maximum":0,"minimum":0,"type":"integer","example":0},"global_port":{"type":"string","format":"ipv4","example":"192.168.111.22"},"proto":{"type":"integer","example":1,"enum":[1]}}}]},"port_forward_get_rule":{"type":"object","oneOf":[{"properties":{"private_ip":{"type":"string","format":"ipv4","example":"192.168.222.22"},"private_port":{"maximum":65535,"minimum":1,"type":"integer","example":600},"global_port":{"type":"string","format":"ipv4","example":"192.168.111.22"},"proto":{"type":"integer","example":2,"enum":[2,3,6]}}},{"properties":{"private_ip":{"type":"string","format":"ipv4","example":"192.168.222.22"},"private_port":{"maximum":0,"minimum":0,"type":"integer","example":0},"global_port":{"type":"string","format":"ipv4","example":"192.168.111.22"},"proto":{"type":"integer","example":1,"enum":[1]}}}]},"acl_post_put_item":{"type":"object","properties":{"action":{"type":"string","enum":["deny","permit"]},"mac_addr":{"pattern":"^$|^([0-9A-Fa-f]{2}[:]){5}([0-9A-Fa-f]{2})$","type":"string"}}},"acl_get_item":{"properties":{"data":{"$ref":"#/components/schemas/acl_get_item_data"}}},"acl_set_config":{"type":"object","properties":{"enable":{"type":"boolean","example":true},"acl_list":{"maxItems":32,"minItems":0,"type":"array","items":{"$ref":"#/components/schemas/acl_get_item_data"}}}},"acl_get_config":{"type":"object","properties":{"enable":{"type":"boolean","example":true},"acl_list":{"maxItems":32,"minItems":0,"type":"array","items":{"$ref":"#/components/schemas/acl_get_item_data"}}}},"firewall_set_config":{"type":"object","properties":{"ipv4":{"maxItems":50,"minItems":0,"type":"array","items":{"$ref":"#/components/schemas/firewall_set_config_ipv4"}},"ipv6":{"maxItems":50,"minItems":0,"type":"array","items":{"$ref":"#/components/schemas/firewall_set_config_ipv6"}}}},"firewall_get_config":{"type":"object","properties":{"ipv4":{"maxItems":50,"minItems":0,"type":"array","items":{"$ref":"#/components/schemas/firewall_get_config_ipv4"}},"ipv6":{"maxItems":50,"minItems":0,"type":"array","items":{"$ref":"#/components/schemas/firewall_get_config_ipv6"}}}},"firewall_set_ipv4_rule":{"type":"object","properties":{"proto":{"type":"integer","enum":[0,1,2,3,4,6]},"addr":{"type":"string","format":"ipv4"},"mask":{"pattern":"^(?:(?:254|252|248|240|224|192|128)\\.0\\.0\\.0|255\\.(?:254|252|248|240|224|192|128|0)\\.0\\.0|255\\.255\\.(?:254|252|248|240|224|192|128|0)\\.0|255\\.255\\.255\\.(?:254|252|248|240|224|192|128|0))$","type":"string"}}},"firewall_get_ipv4_rule":{"type":"object","properties":{"proto":{"type":"integer","example":2,"enum":[0,1,2,3,4,6]},"addr":{"type":"string","format":"ipv4","example":"192.168.255.22"},"mask":{"pattern":"^(?:(?:254|252|248|240|224|192|128)\\.0\\.0\\.0|255\\.(?:254|252|248|240|224|192|128|0)\\.0\\.0|255\\.255\\.(?:254|252|248|240|224|192|128|0)\\.0|255\\.255\\.255\\.(?:254|252|248|240|224|192|128|0))$","type":"string","example":"255.255.255.0"}}},"firewall_set_ipv6_rule":{"type":"object","properties":{"proto":{"type":"integer","enum":[0,2,3,4,5,6]},"addr":{"type":"string","format":"ipv6"},"prefix_len":{"maximum":128,"minimum":0,"type":"integer"}}},"firewall_get_ipv6_rule":{"type":"object","properties":{"proto":{"type":"integer","example":5,"enum":[0,2,3,4,5,6]},"addr":{"type":"string","format":"ipv6","example":"2001:0db8:5b96:0000:0000:426f:8e17:6429"},"prefix_len":{"maximum":128,"minimum":0,"type":"integer","example":60}}},"account_set_config":{"type":"object","properties":{"password":{"pattern":"^(?=.*[a-z])(?=.*[A-Z])(?=.*\\d)(?=.*[@#$%^&*()_=[{}|;:'+,.<>/?-])[A-Za-z\\d@#$%^&*()_=[{}|;:'+,.<>/?-]{8,15}$","type":"string"}}},"account_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/account_get_config_data"}}},"session_set_config":{"type":"object","properties":{"session_timeout":{"maximum":120,"minimum":5,"type":"integer"}}},"session_get_config":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/session_get_config_data"}}},"firmware_upgrade_post":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/firmware_upgrade_post_data"}}},"clear_log_post":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/clear_log_post_data"}}},"web_ssl_cert_import_post":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/web_ssl_cert_import_post_data"}}},"web_ssl_apply_post":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/web_ssl_apply_post_data"}}},"web_ssl_key_import_post":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/web_ssl_key_import_post_data"}}},"config_import_post":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/config_import_post_data"}}},"config_delete_success":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/config_delete_success_data"}}},"Token_Response_data":{"type":"object","properties":{"Token":{"maxLength":128,"minLength":128,"type":"string"}}},"Patch_Success_Response_data":{"type":"object","properties":{"message":{"pattern":"set success","type":"string"}}},"Reboot_Success_Response_data":{"type":"object","properties":{"message":{"pattern":"success","type":"string"}}},"Factory_Default_Success_Response_data":{"type":"object","properties":{"message":{"pattern":"factory default success, system is going reboot","type":"string"}}},"Save_Backup_Config_Success_Response_data":{"type":"object","properties":{"message":{"pattern":"save backup config success","type":"string"}}},"Fail_Response_data":{"type":"object","properties":{"message":{"pattern":"reason of fail","type":"string"}}},"config_backup_get_config_data":{"type":"object","properties":{"enable_config_backup":{"type":"boolean"}}},"time_set_config_data_time_settings_pc_time":{"type":"object","properties":{"manual_time":{"maxLength":64,"type":"string"}}},"time_set_config_data_time_settings_ntp":{"type":"object","properties":{"interval":{"maximum":604800,"minimum":60,"type":"integer"},"ntp_server":{"maxLength":64,"type":"string"}}},"time_set_config_data_time_settings":{"type":"object","properties":{"pc_time":{"$ref":"#/components/schemas/time_set_config_data_time_settings_pc_time"},"ntp":{"$ref":"#/components/schemas/time_set_config_data_time_settings_ntp"}}},"time_set_config_data":{"type":"object","properties":{"select_time":{"type":"string","enum":["pc_time","nitz","ntp"]},"timezone":{"type":"string","enum":["GMT+0","GMT+1","GMT+2","GMT+3","GMT+4","GMT+5","GMT+6","GMT+7","GMT+8","GMT+9","GMT+10","GMT+11","GMT+12","GMT-1","GMT-2","GMT-3","GMT-4","GMT-5","GMT-6","GMT-7","GMT-8","GMT-9","GMT-10","GMT-11","GMT-12"]},"time_settings":{"$ref":"#/components/schemas/time_set_config_data_time_settings"}}},"mtu_get_config_data":{"type":"object","properties":{"uplink":{"maximum":1568,"minimum":1200,"type":"integer","example":1550},"downlink":{"maximum":1568,"minimum":1200,"type":"integer","example":1550}}},"modem_adv_set_config_band_setting_lte":{"type":"object","properties":{"band1_64":{"maxLength":16,"pattern":"^$|^[a-fA-F0-9]$","type":"string"}}},"modem_adv_set_config
[...]
